import React from 'react';
import { motion } from 'framer-motion';

const SimpleLoader = ({ size = "35px" }) => {
    return (React.createElement(React.Fragment, null,
        React.createElement(motion.div, { style: { height: size, width: size, borderRadius: "100%", backgroundColor: "transparent", border: "7px solid rgba(0, 0, 0, 0.193)", borderTop: "7px solid #3498db" }, initial: {
                scale: 1,
                x: 0,
            }, animate: {
                scale: 1,
                x: 0,
                rotate: 360,
            }, transition: {
                duration: 0.8,
                ease: "easeInOut",
                repeat: Infinity,
                repeatDelay: 0
            } })));
};

const PulseSphere = ({ size = "30px", color = "#1c64f2", fillcolor = "transparent" }) => {
    return (React.createElement(React.Fragment, null,
        React.createElement(motion.div, { style: {
                height: size,
                width: size,
                border: `3px solid ${color}`,
                borderRadius: "100%",
                backgroundColor: `${fillcolor}`
            }, 
            // className="pusle-sphere"
            initial: { scale: 0.5, x: 0 }, animate: {
                scale: [0.5, 1, 0.5],
            }, transition: {
                duration: 2,
                ease: "easeInOut",
                times: [0, 0.2, 0.5, 0.8, 1],
                repeat: Infinity,
                repeatDelay: 0
            } })));
};

export { PulseSphere, SimpleLoader };
